@echo off
stamp >_Stamp.Inc
echo ----- Assembling %1 for the TI-83...
echo #define TI83 >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm -80 -i -b -s temp.z80 temp.bin
copy temp.bin ldk
if errorlevel 1 goto ERRORS
copy /b temp.bin +level.bin %1.bin
copy %1.bin release\z%1.bin
devpac83 %1
cd release
..\devpac83 z%1
del lode.83g
cd ..
echo ----- Success!
echo TI-83 version is %1.83p
goto DONE
:ERRORS
echo ----- There were errors.
:DONE
del temp.z80 >nul
copy %1.bin code.bin
del %1.bin
type _stamp.inc
